%define majver %(echo %version | cut -d. -f1-2)
%define minver %(echo %version | cut -d. -f3)
Name:          libreadline
Version:       8.0.004
Release:       2mamba
Summary:       Lets users edit command lines as they are typed in
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/directory/GNU/readline.html
Source0:       ftp://ftp.gnu.org/gnu/readline/readline-%{majver}.tar.gz
Source1:       libreadline-autoupdate
Patch0:        %{name}-6.2-shlib.patch
Patch1:        libreadline-%{version}-patchset.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libncurses-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}
Requires(preun): %{__install_info}
Obsoletes:     libreadline-doc
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Readline library provides a set of functions for use by applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available.
The Readline library includes additional functions to maintain a list of previously-entered command lines, to recall and perhaps reedit those lines, and perform csh-like history expansion on previous commands.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package static
Group:         Development/Libraries
Summary:       Static libraries for the readline library

%description static
The %{name}-static package contains the static version of the readline library.

%debug_package

%prep
%setup -q -n readline-%{majver}
%patch1 -p0

# remove RPATH from shared objects (FS#14366)
sed -i 's|-Wl,-rpath,$(libdir) ||g' support/shobj-conf
  
%build
%configure --with-curses --disable-install-examples
%make SHLIB_LIBS=-lncurses

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

## fixup strange shared library permissions
#chmod 755 %{buildroot}%{_libdir}/*.so*

## remove unpackaged files
#rm -fr %{buildroot}%{_datadir}/readline

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
%install_info history.info
%install_info rluserman.info
exit 0

%preun
%uninstall_info history.info
%uninstall_info rluserman.info
exit 0

%postun -p /sbin/ldconfig

%post devel
%install_info readline.info
exit 0

%preun devel
%uninstall_info readline.info
exit 0

%files
%defattr(-,root,root)
%{_libdir}/libhistory.so.*
%{_libdir}/libreadline.so.*
%{_infodir}/history.info*
%{_infodir}/rluserman.info*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%dir %{_includedir}/readline
%{_includedir}/readline/*.h
%{_infodir}/readline.info*
%{_mandir}/man3/history.*
%{_mandir}/man3/readline.*
%{_libdir}/pkgconfig/readline.pc
%dir %{_docdir}/readline
%{_docdir}/readline/*
%doc examples/*.c examples/*.h examples/rlfe
%doc CHANGELOG CHANGES NEWS README

%files static
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Fri Oct 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.004-2mamba
- rebuilt with ncurses

* Sun Mar 29 2020 Automatic Build System <autodist@mambasoft.it> 8.0.004-1mamba
- automatic version update by autodist

* Wed Oct 16 2019 Automatic Build System <autodist@mambasoft.it> 8.0.001-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 8.0.0-1mamba
- automatic version update by autodist

* Wed Jun 06 2018 Automatic Build System <autodist@mambasoft.it> 7.0.005-1mamba
- automatic version update by autodist

* Wed Mar 08 2017 Automatic Build System <autodist@mambasoft.it> 7.0.003-1mamba
- automatic version update by autodist

* Sun Dec 11 2016 Automatic Build System <autodist@mambasoft.it> 7.0.001-1mamba
- automatic version update by autodist

* Thu Nov 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0-1mamba
- update to 7.0

* Thu Dec 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.008-1mamba
- update to 6.3.008

* Tue Jul 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.006-2mamba
- fix license

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 6.3.006-1mamba
- automatic version update by autodist

* Thu Apr 24 2014 Automatic Build System <autodist@mambasoft.it> 6.3.005-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 6.3.003-1mamba
- automatic version update by autodist

* Fri Mar 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3-1mamba
- update to 6.3

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 6.2.004-1mamba
- update to 6.2.004

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2-4mamba
- added upstream bugfix patch 001
- restore shared library patch to fix build of dependent packages

* Wed May 09 2012 Davide Madrisan <davide.madrisan@gmail.com> 6.2-3mamba
- revert patch0: linking to libtermcap can create problems to other packages

* Tue May 08 2012 Davide Madrisan <davide.madrisan@gmail.com> 6.2-2mamba
- create subpackage libreadline-static
- move readline.info and manpages to package -devel
- provide a debug package
- obsolete libreadline-doc; this documentation is obsolete
- remove unused patch0
- add some code examples to devel package
- force linking to libtermcap to avoid several undefined symbols in libreadline
- add build requirements

* Mon Feb 14 2011 Automatic Build System <autodist@mambasoft.it> 6.2-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 6.1-1mamba
- automatic update by autodist

* Sun Mar 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0-1mamba
- automatic update by autodist

* Fri Sep 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2-2mamba
- added patch with various fixes

* Fri Oct 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 5.2-1qilnx
- update to version 5.2 by autospec

* Tue Dec 13 2005 Davide Madrisan <davide.madrisan@qilinux.it> 5.1-1qilnx
- update to version 5.1 by autospec
- new compatibility package %{name}43

* Fri Sep 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 5.0-2qilnx
- fixed dynamic libraries permissions

* Thu Sep 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 5.0-1qilnx
- update to version 5.0 by autospec
- several specfile fixes
- new package %{name}.doc

* Thu Jul 17 2003 Silvan Calarco <silvan.calarco@qinet.it> 4.3-1qilnx
- first build for readline
